package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanExternalClerkRelated;

public interface TabHaobanExternalClerkRelatedMapper {
    int deleteByPrimaryKey(String externalClerkRelatedId);

    int insert(TabHaobanExternalClerkRelated record);

    int insertSelective(TabHaobanExternalClerkRelated record);

    TabHaobanExternalClerkRelated selectByPrimaryKey(String externalClerkRelatedId);

    int updateByPrimaryKeySelective(TabHaobanExternalClerkRelated record);

    int updateByPrimaryKey(TabHaobanExternalClerkRelated record);

	TabHaobanExternalClerkRelated selectByClerkIdAndExternalUserId(@Param("clerkId")String clerkId, @Param("externalUserId")String externalUserId);

	void delByUserIdAndExternalUserId(TabHaobanExternalClerkRelated record);

	void delByClerkIdAndStaffId(@Param("clerkId")String clerkId, @Param("staffId")String staffId);

	void cleanStaffRelated(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("staffIds")List<String> staffIds);

	TabHaobanExternalClerkRelated getByParams(@Param("userId")String userId, @Param("wxEnterpriseId")String wxEnterpriseId, @Param("name")String name, @Param("createTime")String createTime);

	List<TabHaobanExternalClerkRelated> listByExTernalUseridAndWxUserId(@Param("externalUserid")String externalUserid, @Param("userId")String wxUserId);
}